Subject: Re: bug#50902: 28.0.50; emacs-module-tests time out

From: Philipp <[email-masked]>
Date: Fri, 12 Nov 2021 13:45:44 +0100

> Am 31.10.2021 um 19:32 schrieb Michael Albinus <[email-masked]>:
> 
> Philipp Stephani <[email-masked]> writes:
> 
> Hi Philipp,
> 
>> That looks even weirder. Does the "kernel BUG" line indicate an actual
>> Linux kernel bug? That could at least explain the weird behavior that
>> we see in userspace.
> 
> The docker containers are still available on emba. Pls send me your
> public ssh key, I'll give you access to emba.gnu.org then + instructions
> how to enter the docker container and run your own tests.

I've played around with the docker containers a bit, but couldn't find anything interesting.  Given the error message, I'm 99% sure it's a kernel bug (which gets triggered when raise(SIGABRT) is called), so maybe it would be best to report this to the Linux kernel folks?
BTW, a more minimal command to reproduce it is
# /checkout/src/emacs -batch -Q -module-assertions -eval "(progn (setq attempt-orderly-shutdown-on-fatal-signal nil) (require 'mod-test \"/checkout/test/src/emacs-module-resources/mod-test\") (mod-test-invalid-finalizer) (garbage-collect))"